Commit 1425ee50 authored by Stan Hu's avatar Stan Hu
Browse files

Update gems in Gemfile and qa/Gemfile to be consistent

This will allow developers to run `bundle install` on both directories
and avoid additional calls to RubyGems for local development. Also sets
up the possibility of improved caching as mentioned in
https://gitlab.com/gitlab-org/gitlab-ce/issues/55843.
parent bf38936f
...@@ -127,7 +127,7 @@ gem 'asciidoctor-plantuml', '0.0.8' ...@@ -127,7 +127,7 @@ gem 'asciidoctor-plantuml', '0.0.8'
gem 'rouge', '~> 3.1' gem 'rouge', '~> 3.1'
gem 'truncato', '~> 0.7.9' gem 'truncato', '~> 0.7.9'
gem 'bootstrap_form', '~> 2.7.0' gem 'bootstrap_form', '~> 2.7.0'
gem 'nokogiri', '~> 1.8.4' gem 'nokogiri', '~> 1.8.5'
gem 'escape_utils', '~> 1.1' gem 'escape_utils', '~> 1.1'
# Calendar rendering # Calendar rendering
...@@ -322,7 +322,7 @@ end ...@@ -322,7 +322,7 @@ end
group :development, :test do group :development, :test do
gem 'bootsnap', '~> 1.3' gem 'bootsnap', '~> 1.3'
gem 'bullet', '~> 5.5.0', require: !!ENV['ENABLE_BULLET'] gem 'bullet', '~> 5.5.0', require: !!ENV['ENABLE_BULLET']
gem 'pry-byebug', '~> 3.4.1', platform: :mri gem 'pry-byebug', '~> 3.5.1', platform: :mri
gem 'pry-rails', '~> 0.3.4' gem 'pry-rails', '~> 0.3.4'
gem 'awesome_print', require: false gem 'awesome_print', require: false
...@@ -342,8 +342,8 @@ group :development, :test do ...@@ -342,8 +342,8 @@ group :development, :test do
# Generate Fake data # Generate Fake data
gem 'ffaker', '~> 2.10' gem 'ffaker', '~> 2.10'
gem 'capybara', '~> 2.15' gem 'capybara', '~> 2.16.1'
gem 'capybara-screenshot', '~> 1.0.0' gem 'capybara-screenshot', '~> 1.0.18'
gem 'selenium-webdriver', '~> 3.12' gem 'selenium-webdriver', '~> 3.12'
gem 'spring', '~> 2.0.0' gem 'spring', '~> 2.0.0'
......
...@@ -97,16 +97,16 @@ GEM ...@@ -97,16 +97,16 @@ GEM
bundler-audit (0.5.0) bundler-audit (0.5.0)
bundler (~> 1.2) bundler (~> 1.2)
thor (~> 0.18) thor (~> 0.18)
byebug (9.0.6) byebug (9.1.0)
capybara (2.15.1) capybara (2.16.1)
addressable addressable
mini_mime (>= 0.1.3) mini_mime (>= 0.1.3)
nokogiri (>= 1.3.3) nokogiri (>= 1.3.3)
rack (>= 1.0.0) rack (>= 1.0.0)
rack-test (>= 0.5.4) rack-test (>= 0.5.4)
xpath (~> 2.0) xpath (~> 2.0)
capybara-screenshot (1.0.14) capybara-screenshot (1.0.22)
capybara (>= 1.0, < 3) capybara (>= 1.0, < 4)
launchy launchy
carrierwave (1.3.0) carrierwave (1.3.0)
activemodel (>= 4.0.0) activemodel (>= 4.0.0)
...@@ -595,8 +595,8 @@ GEM ...@@ -595,8 +595,8 @@ GEM
pry (0.11.3) pry (0.11.3)
coderay (~> 1.1.0) coderay (~> 1.1.0)
method_source (~> 0.9.0) method_source (~> 0.9.0)
pry-byebug (3.4.3) pry-byebug (3.5.1)
byebug (>= 9.0, < 9.1) byebug (~> 9.1)
pry (~> 0.10) pry (~> 0.10)
pry-rails (0.3.6) pry-rails (0.3.6)
pry (>= 0.10.4) pry (>= 0.10.4)
...@@ -963,8 +963,8 @@ DEPENDENCIES ...@@ -963,8 +963,8 @@ DEPENDENCIES
browser (~> 2.5) browser (~> 2.5)
bullet (~> 5.5.0) bullet (~> 5.5.0)
bundler-audit (~> 0.5.0) bundler-audit (~> 0.5.0)
capybara (~> 2.15) capybara (~> 2.16.1)
capybara-screenshot (~> 1.0.0) capybara-screenshot (~> 1.0.18)
carrierwave (~> 1.3) carrierwave (~> 1.3)
charlock_holmes (~> 0.7.5) charlock_holmes (~> 0.7.5)
chronic (~> 0.10.2) chronic (~> 0.10.2)
...@@ -1059,7 +1059,7 @@ DEPENDENCIES ...@@ -1059,7 +1059,7 @@ DEPENDENCIES
nakayoshi_fork (~> 0.0.4) nakayoshi_fork (~> 0.0.4)
net-ldap net-ldap
net-ssh (~> 5.0) net-ssh (~> 5.0)
nokogiri (~> 1.8.4) nokogiri (~> 1.8.5)
oauth2 (~> 1.4) oauth2 (~> 1.4)
octokit (~> 4.9) octokit (~> 4.9)
omniauth (~> 1.8) omniauth (~> 1.8)
...@@ -1087,7 +1087,7 @@ DEPENDENCIES ...@@ -1087,7 +1087,7 @@ DEPENDENCIES
pg (~> 0.18.2) pg (~> 0.18.2)
premailer-rails (~> 1.9.7) premailer-rails (~> 1.9.7)
prometheus-client-mmap (~> 0.9.4) prometheus-client-mmap (~> 0.9.4)
pry-byebug (~> 3.4.1) pry-byebug (~> 3.5.1)
pry-rails (~> 0.3.4) pry-rails (~> 0.3.4)
puma (~> 3.12) puma (~> 3.12)
puma_worker_killer puma_worker_killer
...@@ -1171,4 +1171,4 @@ DEPENDENCIES ...@@ -1171,4 +1171,4 @@ DEPENDENCIES
wikicloth (= 0.8.1) wikicloth (= 0.8.1)
BUNDLED WITH BUNDLED WITH
1.17.1 1.17.3
...@@ -5,5 +5,6 @@ gem 'capybara', '~> 2.16.1' ...@@ -5,5 +5,6 @@ gem 'capybara', '~> 2.16.1'
gem 'capybara-screenshot', '~> 1.0.18' gem 'capybara-screenshot', '~> 1.0.18'
gem 'rake', '~> 12.3.0' gem 'rake', '~> 12.3.0'
gem 'rspec', '~> 3.7' gem 'rspec', '~> 3.7'
gem 'selenium-webdriver', '~> 3.8.0' gem 'selenium-webdriver', '~> 3.12'
gem 'airborne', '~> 0.2.13' gem 'airborne', '~> 0.2.13'
gem 'nokogiri', '~> 1.8.5'
...@@ -25,7 +25,7 @@ GEM ...@@ -25,7 +25,7 @@ GEM
capybara-screenshot (1.0.18) capybara-screenshot (1.0.18)
capybara (>= 1.0, < 3) capybara (>= 1.0, < 3)
launchy launchy
childprocess (0.8.0) childprocess (0.9.0)
ffi (~> 1.0, >= 1.0.11) ffi (~> 1.0, >= 1.0.11)
coderay (1.1.2) coderay (1.1.2)
concurrent-ruby (1.0.5) concurrent-ruby (1.0.5)
...@@ -47,7 +47,7 @@ GEM ...@@ -47,7 +47,7 @@ GEM
mini_portile2 (2.3.0) mini_portile2 (2.3.0)
minitest (5.11.1) minitest (5.11.1)
netrc (0.11.0) netrc (0.11.0)
nokogiri (1.8.2) nokogiri (1.8.5)
mini_portile2 (~> 2.3.0) mini_portile2 (~> 2.3.0)
pry (0.11.3) pry (0.11.3)
coderay (~> 1.1.0) coderay (~> 1.1.0)
...@@ -78,9 +78,9 @@ GEM ...@@ -78,9 +78,9 @@ GEM
rspec-support (~> 3.7.0) rspec-support (~> 3.7.0)
rspec-support (3.7.0) rspec-support (3.7.0)
rubyzip (1.2.2) rubyzip (1.2.2)
selenium-webdriver (3.8.0) selenium-webdriver (3.141.0)
childprocess (~> 0.5) childprocess (~> 0.5)
rubyzip (~> 1.0) rubyzip (~> 1.2, >= 1.2.2)
thread_safe (0.3.6) thread_safe (0.3.6)
tzinfo (1.2.4) tzinfo (1.2.4)
thread_safe (~> 0.1) thread_safe (~> 0.1)
...@@ -97,10 +97,11 @@ DEPENDENCIES ...@@ -97,10 +97,11 @@ DEPENDENCIES
airborne (~> 0.2.13) airborne (~> 0.2.13)
capybara (~> 2.16.1) capybara (~> 2.16.1)
capybara-screenshot (~> 1.0.18) capybara-screenshot (~> 1.0.18)
nokogiri (~> 1.8.5)
pry-byebug (~> 3.5.1) pry-byebug (~> 3.5.1)
rake (~> 12.3.0) rake (~> 12.3.0)
rspec (~> 3.7) rspec (~> 3.7)
selenium-webdriver (~> 3.8.0) selenium-webdriver (~> 3.12)
BUNDLED WITH BUNDLED WITH
1.17.1 1.17.3
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment